package ink.wgink.pojo.pos;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DepartmentSimpleDTO
 * @Description: 组织机构（简单）
 * @Author: WangGeng
 * @Date: 2020/4/28 12:11
 * @Version: 1.0
 **/
public class DepartmentPO implements Serializable {

    private static final long serialVersionUID = 595737776232939256L;
    @ApiModelProperty(name = "departmentIntId", value = "组织部门ID")
    private Long departmentIntId;
    @ApiModelProperty(name = "departmentId", value = "组织部门ID")
    private String departmentId;
    @ApiModelProperty(name = "departmentParentId", value = "组织部门上级ID")
    private String departmentParentId;
    @ApiModelProperty(name = "departmentParentName", value = "组织部门上级名称")
    private String departmentParentName;
    @ApiModelProperty(name = "departmentName", value = "组织部门名称")
    private String departmentName;
    @ApiModelProperty(name = "departmentNameEn", value = "组织部门名称（英文）")
    private String departmentNameEn;
    @ApiModelProperty(name = "departmentNo", value = "组织编号")
    private String departmentNo;
    @ApiModelProperty(name = "departmentNameOther", value = "组织部门名称（其他类型）")
    private String departmentNameOther;
    @ApiModelProperty(name = "departmentCode", value = "组织部门编码")
    private String departmentCode;
    @ApiModelProperty(name = "departmentSummary", value = "组织部门说明")
    private String departmentSummary;
    @ApiModelProperty(name = "departmentLogo", value = "组织部门图标ID")
    private Long departmentLogo;
    @ApiModelProperty(name = "departmentLogoHover", value = "组织部门图标ID（选中）")
    private Long departmentLogoHover;
    @ApiModelProperty(name = "departmentType", value = "组织部门类别，1：机构，2：部门")
    private Integer departmentType;
    @ApiModelProperty(name = "departmentState", value = "组织部门状态，0：正常，1：锁定：2：冻结")
    private Integer departmentState;
    @ApiModelProperty(name = "departmentFax", value = "组织部门传真")
    private String departmentFax;
    @ApiModelProperty(name = "departmentTel", value = "组织部门电话")
    private String departmentTel;
    @ApiModelProperty(name = "departmentAddress", value = "组织部门地址")
    private String departmentAddress;
    @ApiModelProperty(name = "departmentMaster", value = "组织部门负责人")
    private String departmentMaster;
    @ApiModelProperty(name = "departmentMasterName", value = "组织部门负责人名称")
    private String departmentMasterName;
    @ApiModelProperty(name = "departmentDuty", value = "组织部门职责")
    private String departmentDuty;
    @ApiModelProperty(name = "departmentArea1Id", value = "1级区域ID")
    private String departmentAreaCode;
    @ApiModelProperty(name = "departmentAreaName", value = "部门地区名称")
    private String departmentAreaName;
    @ApiModelProperty(name = "departmentLongitude", value = "组织部门经度")
    private String departmentLongitude;
    @ApiModelProperty(name = "departmentLatitude", value = "组织部门纬度")
    private String departmentLatitude;
    @ApiModelProperty(name = "departmentOrder", value = "组织部门排序，默认0")
    private String departmentOrder;

    public Long getDepartmentIntId() {
        return departmentIntId;
    }

    public void setDepartmentIntId(Long departmentIntId) {
        this.departmentIntId = departmentIntId;
    }

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentParentId() {
        return departmentParentId == null ? "" : departmentParentId;
    }

    public void setDepartmentParentId(String departmentParentId) {
        this.departmentParentId = departmentParentId;
    }

    public String getDepartmentParentName() {
        return departmentParentName == null ? "" : departmentParentName;
    }

    public void setDepartmentParentName(String departmentParentName) {
        this.departmentParentName = departmentParentName;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentNameEn() {
        return departmentNameEn == null ? "" : departmentNameEn;
    }

    public void setDepartmentNameEn(String departmentNameEn) {
        this.departmentNameEn = departmentNameEn;
    }

    public String getDepartmentNameOther() {
        return departmentNameOther == null ? "" : departmentNameOther;
    }

    public void setDepartmentNameOther(String departmentNameOther) {
        this.departmentNameOther = departmentNameOther;
    }

    public String getDepartmentNo() {
        return departmentNo == null ? "" : departmentNo.trim();
    }

    public void setDepartmentNo(String departmentNo) {
        this.departmentNo = departmentNo;
    }

    public String getDepartmentCode() {
        return departmentCode == null ? "" : departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentSummary() {
        return departmentSummary == null ? "" : departmentSummary;
    }

    public void setDepartmentSummary(String departmentSummary) {
        this.departmentSummary = departmentSummary;
    }

    public Long getDepartmentLogo() {
        return departmentLogo;
    }

    public void setDepartmentLogo(Long departmentLogo) {
        this.departmentLogo = departmentLogo;
    }

    public Long getDepartmentLogoHover() {
        return departmentLogoHover;
    }

    public void setDepartmentLogoHover(Long departmentLogoHover) {
        this.departmentLogoHover = departmentLogoHover;
    }

    public Integer getDepartmentType() {
        return departmentType;
    }

    public void setDepartmentType(Integer departmentType) {
        this.departmentType = departmentType;
    }

    public Integer getDepartmentState() {
        return departmentState;
    }

    public void setDepartmentState(Integer departmentState) {
        this.departmentState = departmentState;
    }

    public String getDepartmentFax() {
        return departmentFax == null ? "" : departmentFax;
    }

    public void setDepartmentFax(String departmentFax) {
        this.departmentFax = departmentFax;
    }

    public String getDepartmentTel() {
        return departmentTel == null ? "" : departmentTel;
    }

    public void setDepartmentTel(String departmentTel) {
        this.departmentTel = departmentTel;
    }

    public String getDepartmentAddress() {
        return departmentAddress == null ? "" : departmentAddress;
    }

    public void setDepartmentAddress(String departmentAddress) {
        this.departmentAddress = departmentAddress;
    }

    public String getDepartmentMaster() {
        return departmentMaster == null ? "" : departmentMaster;
    }

    public void setDepartmentMaster(String departmentMaster) {
        this.departmentMaster = departmentMaster;
    }

    public String getDepartmentMasterName() {
        return departmentMasterName == null ? "" : departmentMasterName;
    }

    public void setDepartmentMasterName(String departmentMasterName) {
        this.departmentMasterName = departmentMasterName;
    }

    public String getDepartmentDuty() {
        return departmentDuty == null ? "" : departmentDuty;
    }

    public void setDepartmentDuty(String departmentDuty) {
        this.departmentDuty = departmentDuty;
    }

    public String getDepartmentAreaCode() {
        return departmentAreaCode == null ? "" : departmentAreaCode.trim();
    }

    public void setDepartmentAreaCode(String departmentAreaCode) {
        this.departmentAreaCode = departmentAreaCode;
    }

    public String getDepartmentAreaName() {
        return departmentAreaName == null ? "" : departmentAreaName.trim();
    }

    public void setDepartmentAreaName(String departmentAreaName) {
        this.departmentAreaName = departmentAreaName;
    }

    public String getDepartmentLongitude() {
        return departmentLongitude == null ? "" : departmentLongitude;
    }

    public void setDepartmentLongitude(String departmentLongitude) {
        this.departmentLongitude = departmentLongitude;
    }

    public String getDepartmentLatitude() {
        return departmentLatitude == null ? "" : departmentLatitude;
    }

    public void setDepartmentLatitude(String departmentLatitude) {
        this.departmentLatitude = departmentLatitude;
    }

    public String getDepartmentOrder() {
        return departmentOrder == null ? "" : departmentOrder;
    }

    public void setDepartmentOrder(String departmentOrder) {
        this.departmentOrder = departmentOrder;
    }

}
